#version 150

uniform sampler2D fboBuffer;

in vec2 vertexTexCoord;

out vec4 outColor1;

vec3 threshold(vec3 color)
{	
	return color * max(length(color) - 0.4, 0);
	/*if(length(color) < 1)
		return vec3(0);
	else
		return color * max(length(color) - 0.4, 0);*/
}

void main(void)
{	
	vec3 color = threshold(texture(fboBuffer, vertexTexCoord).xyz);
	outColor1 = vec4(color, 1);
}